package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 预约取号状态(0.未取号，1.取号中，2.取号完成)枚举类
*
* @author zxfei
*/
public enum AppointmentStatusEnum {
    未取号(0, "未取号"),
    取号中(1, "取号中"),
    取号完成(2, "取号完成");
    private Integer value;
    private String desc;

    AppointmentStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static AppointmentStatusEnum getByValue(Integer value) {
        for (AppointmentStatusEnum appointmentStatusEnum : AppointmentStatusEnum.values()) {
            if (appointmentStatusEnum.getValue() == value) {
                return appointmentStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (AppointmentStatusEnum item : AppointmentStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}